System Requirements

Please verify that your system complies with the following minimum requirements to work in the Portal:

For Office Integration you will also need one of the following:

  • Microsoft Office 2003 or higher.
  • OR / Open Office 3.4.1 or higher (download for free).

Please Note: For Dashboard to Office Integration you will need Microsoft Excel Version 2003 (or above) or Open Office 3.4.1 (or above).

FMS Portal

Welcome to the FMS Portal


For information or support on the portal, reporting tools and the dashboard, please contact the FMS Help Desk at Support@fmssolutions.com or call
1 (877) 435-9400